using ProjectGarage.Repositories;
using ProjectGarage.Repositories.Implementations;
using Unity;

namespace ProjectGarage
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();
            Application.Run(CreateContainer().Resolve<FormGarage>());
        }

        private static IUnityContainer CreateContainer()
        {
            var container = new UnityContainer();

            container.RegisterType<ITruckRepository, TruckRepository>();
            container.RegisterType<IFuelRepository, FuelRepository>();
            container.RegisterType<IRouteRepository, RouteRepository>();
            container.RegisterType<IDriverRepository, DriverRepository>();
            container.RegisterType<ITransportationRepository, TransportationRepository>();
            container.RegisterType<IFuelReplishmentRepository, FuelReplishmentRepository>();


            return container;
        }
    }
}